<?xml version="1.0" encoding="UTF-8"?>
<!--
    * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
    * Copyright (C) 2004-2007 - INRIA - Vincent COUVERT 
    * 
    * This file must be used under the terms of the CeCILL.
    * This source file is licensed as described in the file COPYING, which
    * you should have received as part of this distribution.  The terms
    * are also available at    
    * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
    *
    -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="en" xml:id="mtlb_setstr">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>mtlb_setstr</refname>
    <refpurpose>Matlab setstr emulation function</refpurpose>
  </refnamediv>
  <refsection>
    <title>Description</title>
    <para>Matlab <literal>setstr</literal> and Scilab <literal>ascii</literal> behave differently in some particular cases:</para>
    <itemizedlist>
      <listitem>
        <para>
        With character string input: Matlab <literal>setstr</literal> returns a character string
	while Scilab <literal>ascii</literal> returns ASCII codes.
        </para>
      </listitem>
    </itemizedlist>
    <itemizedlist>
      <listitem>
        <para>
        With double matrix input: Matlab <literal>setstr</literal> returns a character matrix
	having the same size as input while Scilab <literal>ascii</literal> returns a single character string
        </para>
      </listitem>
    </itemizedlist>
    <para>
    The function <literal>mtlb_setstr(A)</literal> is used by
    <literal>mfile2sci</literal> to replace <literal>setstr(A)</literal> when it was not
    possible to know what was the input while porting Matlab code to Scilab. This function will
    determine the correct semantic at run time. If you want to have a
    more efficient code it is possible to replace <literal>mtlb_setstr</literal> calls:
    </para>
    <itemizedlist>
      <listitem>
        <para>
        If <literal>A</literal> is a character string or a character string matrix
        <literal>mtlb_setstr(A)</literal> may be replaced by <literal>A</literal>
        </para>
      </listitem>
      <listitem>
        <para>
        If <literal>A</literal> is a double row vector
        <literal>mtlb_setstr(A)</literal> may be replaced by <literal>ascii(A)</literal>
        </para>
      </listitem>
    </itemizedlist>
    <para>Caution: <literal>mtlb_setstr</literal> has not to be used for hand coded functions.</para>
  </refsection>
  <refsection>
    <title>Authors</title>
    <simplelist type="vert">
      <member>V.C.</member>
    </simplelist>
  </refsection>
</refentry>
